Package org.apache.wiki.pages.haddock

# Class SearchResultsPage

java.lang.Object
org.apache.wiki.pages.haddock.SearchResultsPage

All Implemented Interfaces:
  `HaddockPage`, `Page`

public class SearchResultsPage extends Object implements HaddockPage
Actions available on the Search Results page.

## Constructor Summary

Constructors
Constructor
Description
`SearchResultsPage()`

## Method Summary

Modifier and Type
Method
Description
`ViewWikiPage`
`navigateTo(String result)`
Navigates to a view page from the search results.
`static SearchResultsPage`
`open(String pageName)`
Open the search results page with a given query text to search for.
`List<String>`
`pagesFound()`
Returns the search result page names.
`SearchResultsPage`
`shouldContain(String... pageNames)`
Ensures that the given page names are present on the search results.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.pages.haddock.HaddockPage

`wikiPageContent, wikiTitle`

### Methods inherited from interface org.apache.wiki.pages.Page

`title, url`

## Constructor Details

### SearchResultsPage

public SearchResultsPage()

## Method Details

### open

public static SearchResultsPage open(String pageName)
Open the search results page with a given query text to search for.

Parameters:
  `pageName` - Wiki page name to View.
Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### pagesFound

public List<String> pagesFound()
Returns the search result page names.

Returns:
  the list of page names returned by the search query.

### shouldContain

public SearchResultsPage shouldContain(String... pageNames)
Ensures that the given page names are present on the search results.

Parameters:
  `pageNames` - page names to look for.
Returns:
  `SearchResultsPage` instance, to allow chaining of actions.

### navigateTo

public ViewWikiPage navigateTo(String result)
Navigates to a view page from the search results.

Parameters:
  `result` - wikipage name to navigate to.
Returns:
  `ViewWikiPage` instance, to allow chaining of actions.